## org.apache.batik.apps.svgbrowser
Class DOMDocumentTree.TreeDragSource

    java.lang.Object
      org.apache.batik.apps.svgbrowser.DOMDocumentTree.TreeDragSource

All Implemented Interfaces:
  java.awt.dnd.DragGestureListener, java.awt.dnd.DragSourceListener, java.util.EventListener

Enclosing class:
  DOMDocumentTree

    public class DOMDocumentTree.TreeDragSource

extends java.lang.Object
implements java.awt.dnd.DragSourceListener, java.awt.dnd.DragGestureListener

The JTree drag source wrapper.

Field Summary
`protected java.awt.dnd.DragGestureRecognizer` `recognizer` The drag gesture recognizer.
`protected java.awt.dnd.DragSource` `source` The drag source.
`protected DOMDocumentTree` `sourceTree` The sourceTree.
`protected DOMDocumentTree.TransferableTreeNode` `transferable` The transferable tree node(s).

Constructor Summary
`DOMDocumentTree.TreeDragSource(DOMDocumentTree tree, int actions)` Constructor.

Method Summary
`void` `dragDropEnd(java.awt.dnd.DragSourceDropEvent dsde)`
`void` `dragEnter(java.awt.dnd.DragSourceDragEvent dsde)`
`void` `dragExit(java.awt.dnd.DragSourceEvent dse)`
`void` `dragGestureRecognized(java.awt.dnd.DragGestureEvent dge)`
`void` `dragOver(java.awt.dnd.DragSourceDragEvent dsde)`
`void` `dropActionChanged(java.awt.dnd.DragSourceDragEvent dsde)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### source

    protected java.awt.dnd.DragSource source

  The drag source.

### recognizer

    protected java.awt.dnd.DragGestureRecognizer recognizer

  The drag gesture recognizer.

### transferable

    protected DOMDocumentTree.TransferableTreeNode transferable

  The transferable tree node(s).

### sourceTree

    protected DOMDocumentTree sourceTree

  The sourceTree.

Constructor Detail

### DOMDocumentTree.TreeDragSource

    public DOMDocumentTree.TreeDragSource(DOMDocumentTree tree,
                                          int actions)

  Constructor.

  Parameters:
    `tree` - The source tree
    `actions` - The permitted action

Method Detail

### dragGestureRecognized

    public void dragGestureRecognized(java.awt.dnd.DragGestureEvent dge)

  Specified by:
    `dragGestureRecognized` in interface `java.awt.dnd.DragGestureListener`

### dragEnter

    public void dragEnter(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dragEnter` in interface `java.awt.dnd.DragSourceListener`

### dragExit

    public void dragExit(java.awt.dnd.DragSourceEvent dse)

  Specified by:
    `dragExit` in interface `java.awt.dnd.DragSourceListener`

### dragOver

    public void dragOver(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dragOver` in interface `java.awt.dnd.DragSourceListener`

### dropActionChanged

    public void dropActionChanged(java.awt.dnd.DragSourceDragEvent dsde)

  Specified by:
    `dropActionChanged` in interface `java.awt.dnd.DragSourceListener`

### dragDropEnd

    public void dragDropEnd(java.awt.dnd.DragSourceDropEvent dsde)

  Specified by:
    `dragDropEnd` in interface `java.awt.dnd.DragSourceListener`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.